Description

History

#1 - 08/05/2014 01:14 PM - Ovidiu Maxiniuc

At this moment HQLPreprocessor must preprocess the HQL code depending on the dialect.

The rtrim function is replaced with a small tree for H2 and PostgreSQL. The SQL Server, however, requires a much larger tree to be constructed

(documented in the code).

The issue is the place this code as P2JDialect and HQLPreprocessor are at this moment very disjoint. Normally, HQLPreprocessor should call some

function of the current dialect to perform the AST building for rtrim function. On the other hand,  P2JDialect has nothing to do with AST building.

It would be nicer to have a pluggable resource that would generate the appropriate AST by dialect.

#2 - 04/01/2015 02:23 PM - Vadim Nebogatov

- Status changed from New to WIP

#3 - 04/01/2015 02:53 PM - Ovidiu Maxiniuc

- File om_upd20150401a.zip added

Vadim,

Please take a look at the attached version of the HQLPreprocessor. It contains some further changes needed by SQLServer dialect. Most likely it

won't compile with your current P2J, but please take note of changes at lines: 1340 and 1480 as an addition to 1293 where this dialect receives

special treatment.

Should you have any questions, feel free to contact me.

#4 - 04/02/2015 06:25 AM - Vadim Nebogatov

Sorry, I changed status by mistake, task I am working now is #2538,  not #2358...

As for this task, I remember we discussed rtrim in #2141 and I even implemented SQL function for this purpose (notes 68/69). Or you are searching

for another solution?

#5 - 04/02/2015 06:34 AM - Ovidiu Maxiniuc

The reason for this task is not changing the rtrim function support, but to extract the dialect specific code (to P2JDialect implementations? or some

other specialized class) in a way that will leave the HQLPreprocessor class dialect independent.
#6 - 03/28/2016 10:57 AM - Eric Faulhaber

- Target version set to 23

#7 - 11/16/2016 01:21 PM - Greg Shah

- Target version deleted (23)

Files

om_upd20150401a.zip 27.9 KB 04/01/2015 Ovidiu Maxiniuc
